#!/bin/sh
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

# END COPYRIGHT BLOCK

# A wrapper for ICU utility genrb on Unix.
# Sets LD_LIBRARY_PATH before invoking the command

if [ $# -lt 3 ]; then
   echo Usage: $0 path_to_icu_bin_dir path_to_icu_lib_dir [ genrb parameters ]
   exit 1
fi

ICU_BINDIR=$1
shift
ICU_LIBDIR=$1
shift

LD_LIBRARY_PATH=$ICU_LIBDIR:$LD_LIBRARY_PATH

# HP SHLIB_PATH
SHLIB_PATH=$ICU_LIBDIR:$SHLIB_PATH

export LD_LIBRARY_PATH SHLIB_PATH
echo $ICU_BINDIR/genrb $@
exec $ICU_BINDIR/genrb $@
