#!/bin/sh -xv

# BEGIN COPYRIGHT BLOCK
#
# The Apache Software License, Version 1.1
#
# Copyright (c) 2000-2003 The Apache Software Foundation.  All rights
# reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The end-user documentation included with the redistribution,
#    if any, must include the following acknowledgment:
#       "This product includes software developed by the
#        Apache Software Foundation (http://www.apache.org/)."
#    Alternately, this acknowledgment may appear in the software itself,
#    if and wherever such third-party acknowledgments normally appear.
#
# 4. The names "Apache" and "Apache Software Foundation" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written
#    permission, please contact apache@apache.org.
#
# 5. Products derived from this software may not be called "Apache",
#    nor may "Apache" appear in their name, without prior written
#    permission of the Apache Software Foundation.
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
# ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# ====================================================================
#
# This software consists of voluntary contributions made by many
# individuals on behalf of the Apache Software Foundation.  For more
# information on the Apache Software Foundation, please see
# <http://www.apache.org/>.
#
# Portions of this software are based upon public domain software
# originally written at the National Center for Supercomputing Applications,
# University of Illinois, Urbana-Champaign.
#
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK

# This script provides an example of how to build the various flavors
# of the mod_restartd rpm.  If you don't have a source tarball, you
# can create one from checking out the source tree (which you presumably
# have if you have checked out this script) and putting it in
# SOURCES/mod_restartd-1.0.tar.gz.  The things you need to define below
# are:
# RPM_PLATFORM - one of RHEL3, RHEL4, FC3, FC4, etc. - should correspond
# to our internal build platform naming convention
# FLAVOR - use dbg for debug builds and opt for optimized builds

mkdirs() {
        for d in "$@" ; do
                if [ -d $d ]; then
                        mv $d $d.deleted
                        rm -rf $d.deleted &
                fi
                mkdir -p $d
        done
}

mkdirs SOURCES BUILD SRPMS RPMS
cd SOURCES
cvs co -d mod_restartd-1.0 mod_restartd
#cvs -d $FEDCVSROOT co -d mod_restartd-1.0 mod_restartd
tar cf - mod_restartd-1.0 | gzip > mod_restartd-1.0.tar.gz
rm -rf mod_restartd-1.0
cd ..

# define PLATFORM to be RHEL3, RHEL4, FC3, FC4, etc.
RPM_PLATFORM=RHEL4
# define FLAVOR to be dbg or opt for debug or optimized build
FLAVOR=dbg
# root dir for RPM built and temp files
ABS_TOPDIR=`pwd`
arch=`uname -i`
#mkdirs RPMS/$arch

rpmbuild --define "_topdir $ABS_TOPDIR" --define "_sourcedir $ABS_TOPDIR/SOURCES" --define "_rpmdir $ABS_TOPDIR/RPMS" --define "_srcrpmdir $ABS_TOPDIR/SRPMS" --define "ARCH $arch" --define "flavor $FLAVOR" --define "platform $RPM_PLATFORM" --nodeps -ba mod_restartd.spec
